/*

----------------------------------------------------------------------------------------------
CHATS CSS BOX
----------------------------------------------------------------------------------------------

*/

.messageBox {
	position: fixed;
	right: 0;
	width: 80%;
	max-width: 600px;
	height: 100%;
	-webkit-transform: translateX(100%);
	-ms-transform: translateX(100%);
	transform: translateX(100%);
	-webkit-transition: ease-in-out all 0.5s;
	-o-transition: ease-in-out all 0.5s;
	transition: ease-in-out all 0.5s;
}
.activeMsg {
	-webkit-transform: translateX(0%);
	-ms-transform: translateX(0%);
	transform: translateX(0%);
}
.toggleMessage {
	background-color: khaki;
	position: fixed;
	cursor: pointer;
	border-radius: 50%;
	left: -10px;
	bottom: 10px;
	transition: all ease-in-out 0.6s;
}
.listChats {
	width: 20%;
	height: 100%;
	float: left;
	background-color: #437f97;
}
.openChats {
	width: 80%;
	height: 100%;
	float: right;
}
.listChatUl {
	list-style-type: none;
	padding: 0;
	margin: 0;
}
.listChatUl li {
	height: 50px;
	-webkit-transition: ease-in-out all 0.2s;
	-o-transition: ease-in-out all 0.2s;
	transition: ease-in-out all 0.2s;
	cursor: pointer;
	overflow: hidden;
}
.listChatUl li:hover {
	background-color: rgba(0, 0, 0, 0.1);
}
.listChatUl li h1 {
	margin: 0px;
	font-size: 15px;
	color: white;
	line-height: 50px;
	padding: 0 10px;
	font-weight: normal;
	word-wrap: initial;
	-o-text-overflow: ellipsis ellipsis;
	text-overflow: ellipsis ellipsis;
	overflow: hidden;
	/*animation: roteateName 6s forwards;
	animation-iteration-count: infinite;*/
}

/*

----------------------------------------------------------------------------------------------
ADDNEWCHAT CSS BOX
----------------------------------------------------------------------------------------------

*/

.addNewChat {
	height: 30px;
	width: 30px;
	padding: 0px;
	margin: 0px;
	text-align: center;
	position: absolute;
	bottom: 10px;
	right: 10px;
	cursor: pointer;
	border-radius: 50%;
	background-color: darkolivegreen;
	line-height: 30px;
	vertical-align: middle;
}
.addNewChat h1 {
	padding: 0;
	margin: 0;
	vertical-align: middle;
	color: whitesmoke;
	font-weight: normal;
	transition: all ease-in-out 0.2s;
}
.addNewChat:hover h1 {
	font-weight: bold;
	margin-right: -1px;
}

/*

----------------------------------------------------------------------------------------------
NOTIFICHE CSS BOX
----------------------------------------------------------------------------------------------

*/

.notificheSingleChat {
	position: relative;
	top: -35px;
	left: 200px;
	width: 20px;
	height: 20px;
	background-color: royalblue;
	text-align: center;
	line-height: 20px;
	vertical-align: middle;
	color: whitesmoke;
	font-weight: bold;
	border-radius: 50%;
	font-size: 10px;
}
.numNotifiche {
	width: 20px;
	height: 20px;
	position: relative;
	background-color: #437f97;
	border-radius: 50%;
	line-height: 20px;
	right: -50px;
	font-size: 15px;
	color: whitesmoke;
	text-align: center;
	vertical-align: middle;
	font-weight: bold;
}

/*

----------------------------------------------------------------------------------------------
SINGLE MESSAGE CSS BOX
----------------------------------------------------------------------------------------------

*/

.singleChatOpen {
	background-color: #1b2a41;
	width: 100%;
	height: 100%;
}
.containerMsg {
	display: block;
	width: 100%;
	margin: 0 auto;
	overflow: hidden;
	-webkit-transition: all ease-in-out 1s;
	-o-transition: all ease-in-out 1s;
	transition: all ease-in-out 1s;
	margin: 5px 0;
}
.myMsg {
	float: right;
	max-width: 300px;
	width: auto;
	background-color: lightseagreen;
	border-radius: 30px;
	margin-right: 20px;
	margin-top: 10px;
	display: block;
}
.containerMsg h1 {
	color: whitesmoke;
	margin: 0;
	padding: 15px;
	padding-bottom: 3px;
	font-size: 15px;
}
.containerMsg p {
	margin: 0;
	color: white;
	padding: 0 15px;
}
.containerMsg h2 {
	margin: 0;
	color: whitesmoke;
	padding: 5px 20px;
	padding-top: 2px;
	padding-right: 15px;
	padding-bottom: 10px;
	font-size: 10px;
	float: right;
}
.otherMsg {
	float: left;
	max-width: 300px;
	width: auto;
	background-color: lightblue;
	border-radius: 30px;
	margin-left: 20px;
	margin-top: 10px;
	display: block;
}
.singleChatOpen {
	overflow: scroll;
}
.myMsg h1 {
	color: lightblue;
}
.otherMsg h1 {
	color: lightseagreen;
}

/*

----------------------------------------------------------------------------------------------
ADD NEW CHAT CSS BOX
----------------------------------------------------------------------------------------------

*/

#-addNewChat {
	display: table;
	width: 100%;
}
.alignNewChat {
	display: table-cell;
	vertical-align: middle;
	text-align: center;
}
.outputSearch a {
	text-decoration: none;
	color: white;
}
.listAddNewChat {
	padding: 0px;
	list-style-type: none;
	color: whitesmoke;
	max-height: 170px;
	overflow: scroll;
	-webkit-transition: ease-in-out all 2s;
	-o-transition: ease-in-out all 2s;
	transition: ease-in-out all 2s;
}
.inputAddNewChat {
	margin: auto;
	border: 0;
	padding: 10px;
	border-radius: 10px;
}
.listAddNewChat li {
	cursor: pointer;
	margin-bottom: 10px;
}
.listAddNewChat li:hover h1 {
	color: #437f97;
}
.listAddNewChat li h1 {
	padding: 0;
	margin: 0;
	font-size: 20px;
}
.listAddNewChat li p {
	padding: 0;
	margin: 0;
	font-size: 10px;
}
.rightListAdd {
	margin: 0 auto;
	height: 37px;
	padding-right: 5px;
}
.rightListAdd img {
	width: 37px;
	height: 37px;
	border-radius: 50%;
}
.leftListAdd {
	margin: 0 auto;
	padding-left: 5px;
	height: 37px;
}

/*

----------------------------------------------------------------------------------------------
MESSAGE CONTROLL BUTTON INPUT CSS BOX
----------------------------------------------------------------------------------------------

*/

.appendMsgChat {
	background-color: #1b2a41;
	height: calc(100% - 80px);
	overflow: scroll;
}
.sendMsgControl {
	height: 80px;
	background-color: #324a5f;
	line-height: 80px;
	vertical-align: middle;
	text-align: center;
}
.textMsg {
	margin: 10px;
	border: 0px;
	padding: 10px;
	-webkit-transition: border-radius ease-in-out 1s;
	-o-transition: border-radius ease-in-out 1s;
	transition: border-radius ease-in-out 1s;
}
.textMsg:focus {
	border-radius: 30px;
}
.sendMsgButton {
	display: inline-block;
	background-color: #437f97;
	color: white;
	font-size: 15px;
	line-height: 34px;
	padding: 0 10px;
	border-radius: 10px;
	cursor: pointer;
	-webkit-transition: background-color ease-in-out 0.2s;
	-o-transition: background-color ease-in-out 0.2s;
	transition: background-color ease-in-out 0.2s;
	-webkit-transition: border-radius ease-in-out 0.5s;
	-o-transition: border-radius ease-in-out 0.5s;
	transition: border-radius ease-in-out 0.5s;
}
.sendMsgButton:hover {
	background-color: #437f97;
	border-radius: 30px;
}
.listChatUl .focus {
	background-color: rgba(0, 0, 0, 0.1);
}

/*

----------------------------------------------------------------------------------------------
END
----------------------------------------------------------------------------------------------

*/

@media only screen and (max-width: 1000px) {
	.textMsg {
		margin: 5px 10px;
		border: 0px;
		padding: 5px 10px;
		-webkit-transition: border-radius ease-in-out 1s;
		-o-transition: border-radius ease-in-out 1s;
		transition: border-radius ease-in-out 1s;
		width: calc(40% - 20px);
		min-width: 100px;
	}
	.sendMsgButton {
		display: inline-block;
		background-color: #437f97;
		color: white;
		font-size: 15px;
		line-height: 34px;
		padding: 0 10px;
		border-radius: 10px;
		cursor: pointer;
		-webkit-transition: background-color ease-in-out 0.2s;
		-o-transition: background-color ease-in-out 0.2s;
		transition: background-color ease-in-out 0.2s;
		-webkit-transition: border-radius ease-in-out 0.5s;
		-o-transition: border-radius ease-in-out 0.5s;
		transition: border-radius ease-in-out 0.5s;
		width: calc(20% - 10px);
		margin: 0px 5px;
		min-width: 20px;
	}
	.listChats {
		margin-top: 0px;
		width: 20%;
		height: 100%;
		float: left;
		background-color: #437f97;
	}
	.openChats {
		margin-top: 0px;
		width: 80%;
		height: 100%;
		float: right;
	}
	.activeMsg .toggleMessage {
		background-color: khaki;
		position: fixed;
		cursor: pointer;
		border-radius: 50%;
		left: 0px;
		bottom: 10px;
	}
	.toggleMessage {
		background-color: khaki;
		position: fixed;
		cursor: pointer;
		border-radius: 50%;
		left: -10px;
		bottom: 10px;
	}
	.messageBox {
		position: fixed;
		right: 0;
		width: 100%;
	}
}
